# MatFDColoringGetFunction

Gets the function to use for computing the Jacobian.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringGetFunction(MatFDColoring matfd,PetscErrorCode (**f)(void),void **fctx)

Collective on MatFDColoring

### Input Parameters

coloring -the coloring context

### Output Parameters

| f | - the function
| fctx | - the optional user-defined function context

### Keywords

Mat, Jacobian, finite differences, set, function

Level:intermediate
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html